# MovePageParams class

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true, createFactory: false)

## Constructors

MovePageParams.new({required String documentID, required int fromIndex, required int toIndex})

## Properties

documentID ↔ String
  Document ID in which this page exists.
  getter/setter pair
fromIndex ↔ int
  Current index of the page.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
toIndex ↔ int
  Destination index.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited